### Class

# Gimp LayerMask

#### Description

    final class Gimp.LayerMask : Gimp.Channel {
      /* No available fields */
    }

No description available.

#### Ancestors

- GimpChannel
- GimpDrawable
- GimpItem
- GObject

#### Functions

###### gimp_layer_mask_get_by_id

Returns a `GimpLayerMask` representing `layer_mask_id`. This function calls `gimp_item_get_by_id()` and returns the item if it is layer_mask or `NULL` otherwise.

Available since: 3.0

#### Instance methods

##### Methods inherited from GimpChannel (8)

###### gimp_channel_combine_masks

Combine two channel masks.

###### gimp_channel_copy

Copy a channel.

###### gimp_channel_get_color

Get the compositing color of the specified channel.

###### gimp_channel_get_opacity

Get the opacity of the specified channel.

###### gimp_channel_get_show_masked

Get the composite method of the specified channel.

###### gimp_channel_set_color

Set the compositing color of the specified channel.

###### gimp_channel_set_opacity

Set the opacity of the specified channel.

###### gimp_channel_set_show_masked

Set the composite method of the specified channel.

##### Methods inherited from GimpDrawable (48)

Please see GimpDrawable for a full list of methods.

##### Methods inherited from GimpItem (45)

Please see GimpItem for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GimpItem (1)

###### Gimp.Item:id

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GimpLayerMaskClass {
      GimpChannelClass parent_class;

    }

###### Class members

`parent_class` |
    GimpChannelClass
| No description available.